<?php

/**
 * Dumbo About Page
 * @package Dumbo
 *
*/

if( !class_exists('Dumbo_About_page') ):

	class Dumbo_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'dumbo_backend_menu'),999);

		}

		// Add Backend Menu
        function dumbo_backend_menu(){

            add_theme_page(esc_html__( 'Dumbo Options','dumbo' ), esc_html__( 'Dumbo Options','dumbo' ), 'activate_plugins', 'dumbo-about', array($this, 'dumbo_main_page'));

        }

        // Settings Form
        function dumbo_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Dumbo_About_page();

endif;