<?php
/**
* Body Classes.
*
* @package Dumbo
*/
 
 if (!function_exists('dumbo_body_classes')) :

    function dumbo_body_classes($classes) {

        $dumbo_default = dumbo_get_default_theme_options();
        global $post;
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }

        if ( is_active_sidebar( 'sidebar-1' ) ) {
            $classes[] = 'sidebar-active';
        }

        return $classes;
    }

endif;

add_filter('body_class', 'dumbo_body_classes');